export default [
    {
        directoryName: 'featureParameters',
        inFolder: false,
        metaFile: false,
        suffix: 'featureParameterInteger',
        xmlName: 'FeatureParameterInteger',
    },
    {
        directoryName: 'featureParameters',
        inFolder: false,
        metaFile: false,
        suffix: 'featureParameterBoolean',
        xmlName: 'FeatureParameterBoolean',
    },
    {
        directoryName: 'featureParameters',
        inFolder: false,
        metaFile: false,
        suffix: 'featureParameterDate',
        xmlName: 'FeatureParameterDate',
    },
    {
        directoryName: 'recommendationStrategies',
        inFolder: false,
        metaFile: false,
        suffix: 'recommendationStrategy',
        xmlName: 'RecommendationStrategy',
    },
    {
        directoryName: 'recordActionDeployments',
        inFolder: false,
        metaFile: false,
        suffix: 'deployment',
        xmlName: 'RecordActionDeployment',
    },
    {
        directoryName: 'installedPackages',
        inFolder: false,
        metaFile: false,
        suffix: 'installedPackage',
        xmlName: 'InstalledPackage',
    },
    {
        directoryName: 'staticresources',
        inFolder: false,
        metaFile: true,
        suffix: 'resource',
        xmlName: 'StaticResource',
    },
    {
        directoryName: 'scontrols',
        inFolder: false,
        metaFile: true,
        suffix: 'scf',
        xmlName: 'Scontrol',
    },
    {
        directoryName: 'certs',
        inFolder: false,
        metaFile: true,
        suffix: 'crt',
        xmlName: 'Certificate',
    },
    {
        directoryName: 'aura',
        inFolder: false,
        metaFile: false,
        xmlName: 'AuraDefinitionBundle',
    },
    {
        directoryName: 'lwc',
        inFolder: false,
        metaFile: false,
        xmlName: 'LightningComponentBundle',
    },
    {
        directoryName: 'components',
        inFolder: false,
        metaFile: true,
        suffix: 'component',
        xmlName: 'ApexComponent',
    },
    {
        directoryName: 'pages',
        inFolder: false,
        metaFile: true,
        suffix: 'page',
        xmlName: 'ApexPage',
    },
    {
        directoryName: 'queues',
        inFolder: false,
        metaFile: false,
        suffix: 'queue',
        xmlName: 'Queue',
    },
    {
        directoryName: 'CaseSubjectParticles',
        inFolder: false,
        metaFile: false,
        suffix: 'CaseSubjectParticle',
        xmlName: 'CaseSubjectParticle',
    },
    {
        directoryName: 'dataSources',
        inFolder: false,
        metaFile: false,
        suffix: 'dataSource',
        xmlName: 'ExternalDataSource',
    },
    {
        directoryName: 'namedCredentials',
        inFolder: false,
        metaFile: false,
        suffix: 'namedCredential',
        xmlName: 'NamedCredential',
    },
    {
        directoryName: 'externalServiceRegistrations',
        inFolder: false,
        metaFile: false,
        suffix: 'externalServiceRegistration',
        xmlName: 'ExternalServiceRegistration',
    },
    {
        directoryName: 'roles',
        inFolder: false,
        metaFile: false,
        suffix: 'role',
        xmlName: 'Role',
    },
    {
        directoryName: 'groups',
        inFolder: false,
        metaFile: false,
        suffix: 'group',
        xmlName: 'Group',
    },
    {
        directoryName: 'globalValueSets',
        inFolder: false,
        metaFile: false,
        suffix: 'globalValueSet',
        xmlName: 'GlobalValueSet',
    },
    {
        directoryName: 'standardValueSets',
        inFolder: false,
        metaFile: false,
        suffix: 'standardValueSet',
        xmlName: 'StandardValueSet',
    },
    {
        directoryName: 'customPermissions',
        inFolder: false,
        metaFile: false,
        suffix: 'customPermission',
        xmlName: 'CustomPermission',
    },
    {
        childXmlNames: [
            'BusinessProcess',
            'CompactLayout',
            'CustomField',
            'FieldSet',
            'Index',
            'ListView',
            'RecordType',
            'SharingReason',
            'ValidationRule',
            'WebLink',
        ],
        directoryName: 'objects',
        inFolder: false,
        metaFile: false,
        suffix: 'object',
        xmlName: 'CustomObject',
    },
    {
        directoryName: 'businessProcesses',
        inFolder: false,
        metaFile: false,
        suffix: 'businessProcess',
        parentXmlName: 'CustomObject',
        xmlName: 'BusinessProcess',
    },
    {
        directoryName: 'compactLayouts',
        inFolder: false,
        metaFile: false,
        suffix: 'compactLayout',
        parentXmlName: 'CustomObject',
        xmlName: 'CompactLayout',
    },
    {
        directoryName: 'fields',
        inFolder: false,
        metaFile: false,
        suffix: 'field',
        parentXmlName: 'CustomObject',
        xmlName: 'CustomField',
    },
    {
        directoryName: 'fieldSets',
        inFolder: false,
        metaFile: false,
        suffix: 'fieldSet',
        parentXmlName: 'CustomObject',
        xmlName: 'FieldSet',
    },
    {
        directoryName: 'indexes',
        inFolder: false,
        metaFile: false,
        suffix: 'index',
        parentXmlName: 'CustomObject',
        xmlName: 'Index',
    },
    {
        directoryName: 'listViews',
        inFolder: false,
        metaFile: false,
        suffix: 'listView',
        parentXmlName: 'CustomObject',
        xmlName: 'ListView',
    },
    {
        directoryName: 'recordTypes',
        inFolder: false,
        metaFile: false,
        suffix: 'recordType',
        parentXmlName: 'CustomObject',
        xmlName: 'RecordType',
    },
    {
        directoryName: 'sharingReasons',
        inFolder: false,
        metaFile: false,
        suffix: 'sharingReason',
        parentXmlName: 'CustomObject',
        xmlName: 'SharingReason',
    },
    {
        directoryName: 'validationRules',
        inFolder: false,
        metaFile: false,
        suffix: 'validationRule',
        parentXmlName: 'CustomObject',
        xmlName: 'ValidationRule',
    },
    {
        directoryName: 'webLinks',
        inFolder: false,
        metaFile: false,
        suffix: 'webLink',
        parentXmlName: 'CustomObject',
        xmlName: 'WebLink',
    },
    {
        directoryName: 'reportTypes',
        inFolder: false,
        metaFile: false,
        suffix: 'reportType',
        xmlName: 'ReportType',
    },
    {
        directoryName: 'reports',
        inFolder: true,
        metaFile: false,
        suffix: 'report',
        xmlName: 'Report',
    },
    {
        directoryName: 'dashboards',
        inFolder: true,
        metaFile: false,
        suffix: 'dashboard',
        xmlName: 'Dashboard',
    },
    {
        directoryName: 'analyticSnapshots',
        inFolder: false,
        metaFile: false,
        suffix: 'snapshot',
        xmlName: 'AnalyticSnapshot',
    },
    {
        directoryName: 'feedFilters',
        inFolder: false,
        metaFile: false,
        suffix: 'feedFilter',
        xmlName: 'CustomFeedFilter',
    },
    {
        directoryName: 'layouts',
        inFolder: false,
        metaFile: false,
        suffix: 'layout',
        xmlName: 'Layout',
    },
    {
        directoryName: 'documents',
        inFolder: true,
        metaFile: true,
        suffix: 'document',
        xmlName: 'Document',
    },
    {
        directoryName: 'weblinks',
        inFolder: false,
        metaFile: false,
        suffix: 'weblink',
        xmlName: 'CustomPageWebLink',
    },
    {
        directoryName: 'letterhead',
        inFolder: false,
        metaFile: false,
        suffix: 'letter',
        xmlName: 'Letterhead',
    },
    {
        directoryName: 'email',
        inFolder: true,
        metaFile: true,
        suffix: 'email',
        xmlName: 'EmailTemplate',
    },
    {
        directoryName: 'quickActions',
        inFolder: false,
        metaFile: false,
        suffix: 'quickAction',
        xmlName: 'QuickAction',
    },
    {
        directoryName: 'flexipages',
        inFolder: false,
        metaFile: false,
        suffix: 'flexipage',
        xmlName: 'FlexiPage',
    },
    {
        directoryName: 'tabs',
        inFolder: false,
        metaFile: false,
        suffix: 'tab',
        xmlName: 'CustomTab',
    },
    {
        directoryName: 'customApplicationComponents',
        inFolder: false,
        metaFile: false,
        suffix: 'customApplicationComponent',
        xmlName: 'CustomApplicationComponent',
    },
    {
        directoryName: 'applications',
        inFolder: false,
        metaFile: false,
        suffix: 'app',
        xmlName: 'CustomApplication',
    },
    {
        directoryName: 'customMetadata',
        inFolder: false,
        metaFile: false,
        suffix: 'md',
        xmlName: 'CustomMetadata',
    },
    {
        directoryName: 'flows',
        inFolder: false,
        metaFile: false,
        suffix: 'flow',
        xmlName: 'Flow',
    },
    {
        directoryName: 'flowDefinitions',
        inFolder: false,
        metaFile: false,
        suffix: 'flowDefinition',
        xmlName: 'FlowDefinition',
    },
    {
        directoryName: 'eventSubscriptions',
        inFolder: false,
        metaFile: false,
        suffix: 'subscription',
        xmlName: 'EventSubscription',
    },
    {
        directoryName: 'eventDeliveries',
        inFolder: false,
        metaFile: false,
        suffix: 'delivery',
        xmlName: 'EventDelivery',
    },
    {
        directoryName: 'postTemplates',
        inFolder: false,
        metaFile: false,
        suffix: 'postTemplate',
        xmlName: 'PostTemplate',
    },
    {
        directoryName: 'approvalProcesses',
        inFolder: false,
        metaFile: false,
        suffix: 'approvalProcess',
        xmlName: 'ApprovalProcess',
    },
    {
        directoryName: 'homePageComponents',
        inFolder: false,
        metaFile: false,
        suffix: 'homePageComponent',
        xmlName: 'HomePageComponent',
    },
    {
        directoryName: 'homePageLayouts',
        inFolder: false,
        metaFile: false,
        suffix: 'homePageLayout',
        xmlName: 'HomePageLayout',
    },
    {
        directoryName: 'classes',
        inFolder: false,
        metaFile: true,
        suffix: 'cls',
        xmlName: 'ApexClass',
    },
    {
        directoryName: 'triggers',
        inFolder: false,
        metaFile: true,
        suffix: 'trigger',
        xmlName: 'ApexTrigger',
    },
    {
        directoryName: 'testSuites',
        inFolder: false,
        metaFile: false,
        suffix: 'testSuite',
        xmlName: 'ApexTestSuite',
    },
    {
        directoryName: 'permissionsets',
        inFolder: false,
        metaFile: false,
        suffix: 'permissionset',
        xmlName: 'PermissionSet',
    },
    {
        directoryName: 'profilePasswordPolicies',
        inFolder: false,
        metaFile: false,
        suffix: 'profilePasswordPolicy',
        xmlName: 'ProfilePasswordPolicy',
    },
    {
        directoryName: 'profileSessionSettings',
        inFolder: false,
        metaFile: false,
        suffix: 'profileSessionSetting',
        xmlName: 'ProfileSessionSetting',
    },
    {
        directoryName: 'datacategorygroups',
        inFolder: false,
        metaFile: false,
        suffix: 'datacategorygroup',
        xmlName: 'DataCategoryGroup',
    },
    {
        directoryName: 'remoteSiteSettings',
        inFolder: false,
        metaFile: false,
        suffix: 'remoteSite',
        xmlName: 'RemoteSiteSetting',
    },
    {
        directoryName: 'cspTrustedSites',
        inFolder: false,
        metaFile: false,
        suffix: 'cspTrustedSite',
        xmlName: 'CspTrustedSite',
    },
    {
        directoryName: 'duplicateRules',
        inFolder: false,
        metaFile: false,
        suffix: 'duplicateRule',
        xmlName: 'DuplicateRule',
    },
    {
        directoryName: 'cleanDataServices',
        inFolder: false,
        metaFile: false,
        suffix: 'cleanDataService',
        xmlName: 'CleanDataService',
    },
    {
        directoryName: 'authproviders',
        inFolder: false,
        metaFile: false,
        suffix: 'authprovider',
        xmlName: 'AuthProvider',
    },
    {
        directoryName: 'eclair',
        inFolder: false,
        metaFile: true,
        suffix: 'geodata',
        xmlName: 'EclairGeoData',
    },
    {
        directoryName: 'sites',
        inFolder: false,
        metaFile: false,
        suffix: 'site',
        xmlName: 'CustomSite',
    },
    {
        directoryName: 'channelLayouts',
        inFolder: false,
        metaFile: false,
        suffix: 'channelLayout',
        xmlName: 'ChannelLayout',
    },
    {
        directoryName: 'contentassets',
        inFolder: false,
        metaFile: true,
        suffix: 'asset',
        xmlName: 'ContentAsset',
    },
    {
        childXmlNames: ['SharingOwnerRule', 'SharingCriteriaRule'],
        directoryName: 'sharingRules',
        inFolder: false,
        metaFile: false,
        suffix: 'sharingRules',
        xmlName: 'SharingRules',
    },
    {
        directoryName: 'sharingSets',
        inFolder: false,
        metaFile: false,
        suffix: 'sharingSet',
        xmlName: 'SharingSet',
    },
    {
        directoryName: 'communities',
        inFolder: false,
        metaFile: false,
        suffix: 'community',
        xmlName: 'Community',
    },
    {
        directoryName: 'ChatterExtensions',
        inFolder: false,
        metaFile: false,
        suffix: 'ChatterExtension',
        xmlName: 'ChatterExtension',
    },
    {
        directoryName: 'platformEventChannels',
        inFolder: false,
        metaFile: false,
        suffix: 'platformEventChannel',
        xmlName: 'PlatformEventChannel',
    },
    {
        directoryName: 'callCenters',
        inFolder: false,
        metaFile: false,
        suffix: 'callCenter',
        xmlName: 'CallCenter',
    },
    {
        directoryName: 'notificationtypes',
        inFolder: false,
        metaFile: false,
        suffix: 'notiftype',
        xmlName: 'CustomNotificationType',
    },
    {
        directoryName: 'connectedApps',
        inFolder: false,
        metaFile: false,
        suffix: 'connectedApp',
        xmlName: 'ConnectedApp',
    },
    {
        directoryName: 'appMenus',
        inFolder: false,
        metaFile: false,
        suffix: 'appMenu',
        xmlName: 'AppMenu',
    },
    {
        directoryName: 'delegateGroups',
        inFolder: false,
        metaFile: false,
        suffix: 'delegateGroup',
        xmlName: 'DelegateGroup',
    },
    {
        directoryName: 'siteDotComSites',
        inFolder: false,
        metaFile: true,
        suffix: 'site',
        xmlName: 'SiteDotCom',
    },
    {
        directoryName: 'networks',
        inFolder: false,
        metaFile: false,
        suffix: 'network',
        xmlName: 'Network',
    },
    {
        directoryName: 'networkBranding',
        inFolder: false,
        metaFile: true,
        suffix: 'networkBranding',
        xmlName: 'NetworkBranding',
    },
    {
        directoryName: 'audience',
        inFolder: false,
        metaFile: false,
        suffix: 'audience',
        xmlName: 'Audience',
    },
    {
        directoryName: 'brandingSets',
        inFolder: false,
        metaFile: false,
        suffix: 'brandingSet',
        xmlName: 'BrandingSet',
    },
    {
        directoryName: 'communityThemeDefinitions',
        inFolder: false,
        metaFile: false,
        suffix: 'communityThemeDefinition',
        xmlName: 'CommunityThemeDefinition',
    },
    {
        directoryName: 'communityTemplateDefinitions',
        inFolder: false,
        metaFile: false,
        suffix: 'communityTemplateDefinition',
        xmlName: 'CommunityTemplateDefinition',
    },
    {
        directoryName: 'flowCategories',
        inFolder: false,
        metaFile: false,
        suffix: 'flowCategory',
        xmlName: 'FlowCategory',
    },
    {
        directoryName: 'lightningBolts',
        inFolder: false,
        metaFile: false,
        suffix: 'lightningBolt',
        xmlName: 'LightningBolt',
    },
    {
        directoryName: 'lightningExperienceThemes',
        inFolder: false,
        metaFile: false,
        suffix: 'lightningExperienceTheme',
        xmlName: 'LightningExperienceTheme',
    },
    {
        directoryName: 'customHelpMenuSections',
        inFolder: false,
        metaFile: false,
        suffix: 'customHelpMenuSection',
        xmlName: 'CustomHelpMenuSection',
    },
    {
        childXmlNames: 'ManagedTopic',
        directoryName: 'managedTopics',
        inFolder: false,
        metaFile: false,
        suffix: 'managedTopics',
        xmlName: 'ManagedTopics',
    },
    {
        directoryName: 'accountRelationshipShareRules',
        inFolder: false,
        metaFile: false,
        suffix: 'accountRelationshipShareRule',
        xmlName: 'AccountRelationshipShareRule',
    },
    {
        directoryName: 'userCriteria',
        inFolder: false,
        metaFile: false,
        suffix: 'userCriteria',
        xmlName: 'UserCriteria',
    },
    {
        directoryName: 'moderation',
        inFolder: false,
        metaFile: false,
        xmlName: 'VirtualModeration',
        content: [
            {
                suffix: 'keywords',
                xmlName: 'KeywordList',
            },
            {
                suffix: 'rule',
                xmlName: 'ModerationRule',
            },
        ],
    },
    {
        directoryName: 'cmsConnectSource',
        inFolder: false,
        metaFile: false,
        suffix: 'cmsConnectSource',
        xmlName: 'CMSConnectSource',
    },
    {
        directoryName: 'territory2Types',
        inFolder: false,
        metaFile: false,
        suffix: 'territory2Type',
        xmlName: 'Territory2Type',
    },
    {
        childXmlNames: ['Territory2Rule', 'Territory2'],
        directoryName: 'territory2Models',
        inFolder: false,
        metaFile: false,
        suffix: 'territory2Model',
        xmlName: 'Territory2Model',
    },
    {
        directoryName: 'rules',
        inFolder: false,
        metaFile: false,
        suffix: 'territory2Rule',
        xmlName: 'Territory2Rule',
    },
    {
        directoryName: 'territories',
        inFolder: false,
        metaFile: false,
        suffix: 'territory2',
        xmlName: 'Territory2',
    },
    {
        directoryName: 'samlssoconfigs',
        inFolder: false,
        metaFile: false,
        suffix: 'samlssoconfig',
        xmlName: 'SamlSsoConfig',
    },
    {
        directoryName: 'corsWhitelistOrigins',
        inFolder: false,
        metaFile: false,
        suffix: 'corsWhitelistOrigin',
        xmlName: 'CorsWhitelistOrigin',
    },
    {
        directoryName: 'actionLinkGroupTemplates',
        inFolder: false,
        metaFile: false,
        suffix: 'actionLinkGroupTemplate',
        xmlName: 'ActionLinkGroupTemplate',
    },
    {
        directoryName: 'transactionSecurityPolicies',
        inFolder: false,
        metaFile: false,
        suffix: 'transactionSecurityPolicy',
        xmlName: 'TransactionSecurityPolicy',
    },
    {
        directoryName: 'synonymDictionaries',
        inFolder: false,
        metaFile: false,
        suffix: 'synonymDictionary',
        xmlName: 'SynonymDictionary',
    },
    {
        directoryName: 'pathAssistants',
        inFolder: false,
        metaFile: false,
        suffix: 'pathAssistant',
        xmlName: 'PathAssistant',
    },
    {
        directoryName: 'LeadConvertSettings',
        inFolder: false,
        metaFile: false,
        suffix: 'LeadConvertSetting',
        xmlName: 'LeadConvertSettings',
    },
    {
        directoryName: 'cachePartitions',
        inFolder: false,
        metaFile: false,
        suffix: 'cachePartition',
        xmlName: 'PlatformCachePartition',
    },
    {
        directoryName: 'topicsForObjects',
        inFolder: false,
        metaFile: false,
        suffix: 'topicsForObjects',
        xmlName: 'TopicsForObjects',
    },
    {
        directoryName: 'recommendationStrategies',
        inFolder: false,
        metaFile: false,
        suffix: 'recommendationStrategy',
        xmlName: 'RecommendationStrategy',
    },
    {
        directoryName: 'iot',
        inFolder: false,
        metaFile: false,
        suffix: 'orchestrationContext',
        xmlName: 'OrchestrationContext',
    },
    {
        directoryName: 'emailservices',
        inFolder: false,
        metaFile: false,
        suffix: 'xml',
        xmlName: 'EmailServicesFunction',
    },
    {
        directoryName: 'recordActionDeployments',
        inFolder: false,
        metaFile: false,
        suffix: 'deployment',
        xmlName: 'RecordActionDeployment',
    },
    {
        directoryName: 'EmbeddedServiceConfig',
        inFolder: false,
        metaFile: false,
        suffix: 'EmbeddedServiceConfig',
        xmlName: 'EmbeddedServiceConfig',
    },
    {
        directoryName: 'EmbeddedServiceBranding',
        inFolder: false,
        metaFile: false,
        suffix: 'EmbeddedServiceBranding',
        xmlName: 'EmbeddedServiceBranding',
    },
    {
        directoryName: 'EmbeddedServiceFlowConfig',
        inFolder: false,
        metaFile: false,
        suffix: 'EmbeddedServiceFlowConfig',
        xmlName: 'EmbeddedServiceFlowConfig',
    },
    {
        directoryName: 'settings',
        inFolder: false,
        metaFile: false,
        suffix: 'settings',
        xmlName: 'Settings',
    },
    {
        directoryName: 'mlDomains',
        inFolder: false,
        metaFile: false,
        suffix: 'mlDomain',
        xmlName: 'MlDomain',
    },
    {
        directoryName: 'discovery',
        inFolder: false,
        metaFile: true,
        xmlName: 'VirtualDiscovery',
        content: [
            {
                suffix: 'model',
                xmlName: 'DiscoveryAIModel',
            },
            {
                suffix: 'goal',
                xmlName: 'DiscoveryGoal',
            },
        ],
    },
    {
        directoryName: 'wave',
        inFolder: false,
        metaFile: true,
        xmlName: 'VirtualWave',
        content: [
            {
                suffix: 'wapp',
                xmlName: 'WaveApplication',
            },
            {
                suffix: 'wcomp',
                xmlName: 'WaveComponent',
            },
            {
                suffix: 'wdf',
                xmlName: 'WaveDataflow',
            },
            {
                suffix: 'wdash',
                xmlName: 'WaveDashboard',
            },
            {
                suffix: 'wds',
                xmlName: 'WaveDataset',
            },
            {
                suffix: 'wlens',
                xmlName: 'WaveLens',
            },
            {
                suffix: 'wdpr',
                xmlName: 'WaveRecipe',
            },
            {
                suffix: 'xmd',
                xmlName: 'WaveXmd',
            },
        ],
    },
    {
        directoryName: 'waveTemplates',
        inFolder: true,
        metaFile: false,
        xmlName: 'WaveTemplateBundle',
    },
    {
        directoryName: 'bots',
        inFolder: false,
        metaFile: true,
        xmlName: 'VirtualBot',
        content: [
            {
                suffix: 'bot',
                xmlName: 'Bot',
            },
            {
                suffix: 'botVersion',
                xmlName: 'BotVersion',
            },
        ],
    },
    {
        childXmlNames: [
            'WorkflowFieldUpdate',
            'WorkflowFlowAction',
            'WorkflowKnowledgePublish',
            'WorkflowTask',
            'WorkflowAlert',
            'WorkflowSend',
            'WorkflowOutboundMessage',
            'WorkflowRule',
        ],
        directoryName: 'workflows',
        inFolder: false,
        metaFile: false,
        suffix: 'workflow',
        xmlName: 'Workflow',
    },
    {
        directoryName: 'workflowAlerts',
        inFolder: false,
        metaFile: false,
        suffix: 'workflowAlert',
        parentXmlName: 'Workflow',
        xmlName: 'WorkflowAlert',
        xmlTag: 'alerts',
        key: 'fullName',
    },
    {
        directoryName: 'workflowFieldUpdates',
        inFolder: false,
        metaFile: false,
        suffix: 'workflowFieldUpdate',
        parentXmlName: 'Workflow',
        xmlName: 'WorkflowFieldUpdate',
        xmlTag: 'fieldUpdates',
        key: 'fullName',
    },
    {
        directoryName: 'workflowFlowActions',
        inFolder: false,
        metaFile: false,
        suffix: 'workflowFlowAction',
        parentXmlName: 'Workflow',
        xmlName: 'WorkflowFlowAction',
        xmlTag: 'flowActions',
        key: 'fullName',
    },
    {
        directoryName: 'labels',
        inFolder: false,
        metaFile: false,
        parentXmlName: 'CustomLabels',
        xmlName: 'CustomLabel',
        childXmlNames: 'CustomLabel',
        suffix: 'labels',
        xmlTag: 'labels',
        key: 'fullName',
    },
    {
        directoryName: 'workflowOutboundMessages',
        inFolder: false,
        metaFile: false,
        suffix: 'workflowOutboundMessage',
        parentXmlName: 'Workflow',
        xmlName: 'WorkflowOutboundMessage',
        xmlTag: 'outboundMessages',
        key: 'fullName',
    },
    {
        directoryName: 'workflowRules',
        inFolder: false,
        metaFile: false,
        suffix: 'workflowRule',
        parentXmlName: 'Workflow',
        xmlName: 'WorkflowRule',
        xmlTag: 'rules',
        key: 'fullName',
    },
    {
        directoryName: 'workflowKnowledgePublishs',
        inFolder: false,
        metaFile: false,
        suffix: 'workflowKnowledgePublish',
        parentXmlName: 'Workflow',
        xmlName: 'WorkflowKnowledgePublish',
        xmlTag: 'knowledgePublishes',
        key: 'fullName',
    },
    {
        directoryName: 'workflowTasks',
        inFolder: false,
        metaFile: false,
        suffix: 'workflowTask',
        parentXmlName: 'Workflow',
        xmlName: 'WorkflowTask',
        xmlTag: 'tasks',
        key: 'fullName',
    },
    {
        directoryName: 'workflowSends',
        inFolder: false,
        metaFile: false,
        suffix: 'workflowSend',
        parentXmlName: 'Workflow',
        xmlName: 'WorkflowSend',
        xmlTag: 'send',
        key: 'fullName',
    },
    {
        directoryName: 'sharingCriteriaRules',
        inFolder: false,
        metaFile: false,
        suffix: 'sharingCriteriaRule',
        parentXmlName: 'SharingRules',
        xmlName: 'SharingCriteriaRule',
        xmlTag: 'sharingCriteriaRules',
        key: 'fullName',
    },
    {
        directoryName: 'sharingGuestRules',
        inFolder: false,
        metaFile: false,
        suffix: 'sharingGuestRule',
        parentXmlName: 'SharingRules',
        xmlName: 'SharingGuestRule',
        xmlTag: 'sharingGuestRules',
        key: 'fullName',
    },
    {
        directoryName: 'sharingOwnerRules',
        inFolder: false,
        metaFile: false,
        suffix: 'sharingOwnerRule',
        parentXmlName: 'SharingRules',
        xmlName: 'SharingOwnerRule',
        xmlTag: 'sharingOwnerRules',
        key: 'fullName',
    },
    {
        directoryName: 'sharingTerritoryRules',
        inFolder: false,
        metaFile: false,
        suffix: 'sharingTerritoryRule',
        parentXmlName: 'SharingRules',
        xmlName: 'SharingTerritoryRule',
        xmlTag: 'sharingTerritoryRules',
        key: 'fullName',
    },
    {
        childXmlNames: 'AssignmentRule',
        directoryName: 'assignmentRules',
        inFolder: false,
        metaFile: false,
        suffix: 'assignmentRules',
        xmlName: 'AssignmentRules',
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'AssignmentRules',
        xmlName: 'AssignmentRule',
        xmlTag: 'assignmentRule',
        key: 'fullName',
    },
    {
        childXmlNames: 'AutoResponseRule',
        directoryName: 'autoResponseRules',
        inFolder: false,
        metaFile: false,
        suffix: 'autoResponseRules',
        xmlName: 'AutoResponseRules',
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'AutoResponseRules',
        xmlName: 'AutoResponseRule',
        xmlTag: 'autoResponseRule',
        key: 'fullName',
    },
    {
        childXmlNames: 'EscalationRule',
        directoryName: 'escalationRules',
        inFolder: false,
        metaFile: false,
        suffix: 'escalationRules',
        xmlName: 'EscalationRules',
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'EscalationRules',
        xmlName: 'EscalationRule',
        xmlTag: 'escalationRule',
        key: 'fullName',
    },
    {
        childXmlNames: 'MatchingRule',
        directoryName: 'matchingRules',
        inFolder: false,
        metaFile: false,
        suffix: 'matchingRule',
        xmlName: 'MatchingRules',
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'MatchingRules',
        xmlName: 'MatchingRule',
        xmlTag: 'matchingRules',
        key: 'fullName',
    },
    {
        directoryName: 'globalValueSetTranslations',
        inFolder: false,
        metaFile: false,
        suffix: 'globalValueSetTranslation',
        xmlName: 'GlobalValueSetTranslation',
        pruneOnly: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'GlobalValueSetTranslation',
        xmlName: 'ValueTranslation',
        xmlTag: 'valueTranslation',
        key: 'masterLabel',
        excluded: true,
    },
    {
        directoryName: 'standardValueSetTranslations',
        inFolder: false,
        metaFile: false,
        suffix: 'standardValueSetTranslation',
        xmlName: 'StandardValueSetTranslation',
        pruneOnly: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'StandardValueSetTranslation',
        xmlName: 'ValueTranslation',
        xmlTag: 'valueTranslation',
        key: 'masterLabel',
        excluded: true,
    },
    {
        directoryName: 'profiles',
        inFolder: false,
        metaFile: false,
        suffix: 'profile',
        xmlName: 'Profile',
        pruneOnly: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileApplicationVisibility',
        xmlTag: 'categoryGroupVisibilities',
        key: 'dataCategoryGroup',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileCategoryGroupVisibility',
        xmlTag: 'applicationVisibilities',
        key: 'application',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileApexClassAccess',
        xmlTag: 'classAccesses',
        key: 'apexClass',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileCustomMetadataTypeAccess[',
        xmlTag: 'customMetadataTypeAccesses',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileCustomPermissions',
        xmlTag: 'customPermissions',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileCustomSettingAccesses',
        xmlTag: 'customSettingAccesses',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileExternalDataSourceAccess',
        xmlTag: 'externalDataSourceAccesses',
        key: 'externalDataSource',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileFieldLevelSecurity',
        xmlTag: 'fieldPermissions',
        key: 'field',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileFlowAccess',
        xmlTag: 'flowAccesses',
        key: 'flow',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'LoginFlow',
        xmlTag: 'loginFlows',
        key: 'friendlyname',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileLayoutAssignments',
        xmlTag: 'layoutAssignments',
        key: '<object>',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileLoginHours',
        xmlTag: 'loginHours',
        key: '<array>',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileLoginIpRange',
        xmlTag: 'loginIpRanges',
        key: '<array>',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileObjectPermissions',
        xmlTag: 'objectPermissions',
        key: 'object',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileApexPageAccess',
        xmlTag: 'pageAccesses',
        key: 'apexPage',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileActionOverride',
        xmlTag: 'profileActionOverrides',
        key: 'actionName',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileRecordTypeVisibility',
        xmlTag: 'recordTypeVisibilities',
        key: 'recordType',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileTabVisibility',
        xmlTag: 'tabVisibilities',
        key: 'tab',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Profile',
        xmlName: 'ProfileUserPermission',
        xmlTag: 'userPermissions',
        key: 'name',
        excluded: true,
    },
    {
        directoryName: 'translations',
        inFolder: false,
        metaFile: false,
        suffix: 'translation',
        xmlName: 'Translations',
        pruneOnly: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Translations',
        xmlName: 'BotTranslation',
        xmlTag: 'bots',
        key: 'fullName',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Translations',
        xmlName: 'CustomApplicationTranslation',
        xmlTag: 'customApplications',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Translations',
        xmlName: 'CustomLabelTranslation',
        xmlTag: 'customLabels',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Translations',
        xmlName: 'CustomPageWebLinkTranslation',
        xmlTag: 'customPageWebLinks',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Translations',
        xmlName: 'CustomTabTranslation',
        xmlTag: 'customTabs',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Translations',
        xmlName: 'FlowDefinitionTranslation',
        xmlTag: 'flowDefinitions',
        key: 'fullName',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Translations',
        xmlName: 'PipelineInspMetricConfigTranslation',
        xmlTag: 'pipelineInspMetricConfigs',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Translations',
        xmlName: 'PromptTranslation',
        xmlTag: 'prompts',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Translations',
        xmlName: 'GlobalQuickActionTranslation',
        xmlTag: 'quickActions',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Translations',
        xmlName: 'ReportTypeTranslation',
        xmlTag: 'reportTypes',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'Translations',
        xmlName: 'ScontrolTranslation',
        xmlTag: 'scontrols',
        key: 'name',
        excluded: true,
    },
    {
        directoryName: 'objectTranslations',
        inFolder: false,
        metaFile: false,
        suffix: 'objectTranslation',
        xmlName: 'CustomObjectTranslation',
        pruneOnly: true,
    },
    {
        directoryName: 'objectTranslations',
        inFolder: false,
        metaFile: false,
        parentXmlName: 'CustomObjectTranslation',
        suffix: 'fieldTranslation',
        xmlName: 'CustomObjectTranslation',
        xmlTag: 'fields',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'CustomObjectTranslation',
        xmlName: 'FieldSetTranslation',
        xmlTag: 'fieldSets',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'CustomObjectTranslation',
        xmlName: 'LayoutTranslation',
        xmlTag: 'layouts',
        key: 'layout',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'CustomObjectTranslation',
        xmlName: 'NamedFilterTranslation',
        xmlTag: 'namedFilters',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'CustomObjectTranslation',
        xmlName: 'QuickActionTranslation',
        xmlTag: 'quickActions',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'CustomObjectTranslation',
        xmlName: 'RecordTypeTranslation',
        xmlTag: 'recordTypes',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'CustomObjectTranslation',
        xmlName: 'SharingReasonTranslation',
        xmlTag: 'sharingReasons',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'CustomObjectTranslation',
        xmlName: 'ValidationRuleTranslation',
        xmlTag: 'validationRules',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'CustomObjectTranslation',
        xmlName: 'WebLinkTranslation',
        xmlTag: 'webLinks',
        key: 'name',
        excluded: true,
    },
    {
        inFolder: false,
        metaFile: false,
        parentXmlName: 'CustomObjectTranslation',
        xmlName: 'WorkflowTaskTranslation',
        xmlTag: 'workflowTasks',
        key: 'name',
        excluded: true,
    },
];
//# sourceMappingURL=v46.js.map